summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-03 14:37:58 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-03 14:37:58 +0200
commitf83266c124b31810bfa674f54a87511fbec07512 (patch)
treea0f9881039c7b2477572c87e50778c7ad968bf3b /bin/chroot-installation.sh
parentafb0bbbe627230be1a8313e51c533e0fe56c79a8 (diff)
downloadjenkins.debian.net-f83266c124b31810bfa674f54a87511fbec07512.tar.xz
detect more reasons for apt failing
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 370f7ed4..82f111bf 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -56,7 +56,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed)" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "Warning: Network problem detected."